These are chat archives for nextflow-io/nextflow

23rd
Sep 2017
Phil Ewels
@ewels
Sep 23 2017 16:49
Hi @pditommaso! I'm just playing with a new machine (OSX) and installing nextflow. I installed Java by following the OSX prompts and going to the Java website: http://www.oracle.com/technetwork/java/javase/downloads/jre9-downloads-3848532.html
However, 'm getting the following error from the nextflow curletc command:
Error: cannot find Java or it's a wrong version -- please make sure that Java 7 or higher it's installed
Note: Nextflow is trying to use the Java VM defined by the following environment variables:
 JAVA_CMD: /Library/Java/JavaVirtualMachines/jdk-9.jdk/Contents/Home/bin/java
 JAVA_HOME:
A quick gander at the bash install script suggests that it's looking for version 1.7 or 1.8, but my version is "9":
$ java -version
java version "9"
Java(TM) SE Runtime Environment (build 9+181)
Java HotSpot(TM) 64-Bit Server VM (build 9+181, mixed mode)
Am I doing something wrong here? Did I install the wrong java package or something, or is it just that the nextflow install script is in need of an update?
Paolo Di Tommaso
@pditommaso
Sep 23 2017 17:52
Hi Phil, Java has been released two days ago and it's already landed on your computer ?! :D
it's not supported yet .. #462
use Java 8 instead
Phil Ewels
@ewels
Sep 23 2017 20:20
Aha! Hah, sorry I should have searched the issues.. Thanks!
Phil Ewels
@ewels
Sep 23 2017 20:35
hmm, now I get a different error..
$ curl -s https://get.nextflow.io | bash
mktemp: mkstemp failed on /Library/nxf-tmp.kfHL5: Permission denied
Downloading nextflow dependencies. It may require a few seconds, please wait .. curl: option -o: requires parameter
curl: try 'curl --help' or 'curl --manual' for more information
Error: cannot download nextflow required file -- make sure you can connect to the internet
anyway, will download manually so no biggy :+1:
Phil Ewels
@ewels
Sep 23 2017 20:49
(On Monday)